Index: /pjproject/trunk/pjsip-apps/build/pjsua.vcxproj
===================================================================
--- /pjproject/trunk/pjsip-apps/build/pjsua.vcxproj	(revision 5538)
+++ /pjproject/trunk/pjsip-apps/build/pjsua.vcxproj	(revision 5539)
@@ -340,27 +496,65 @@
     </ClCompile>
     <Link>
-      <AdditionalDependencies>Iphlpapi.lib;dsound.lib;dxguid.lib;netapi32.lib;mswsock.lib;ws2_32.lib;odbc32.lib;odbccp32.lib;ole32.lib;user32.lib;gdi32.lib;advapi32.lib;%(AdditionalDependencies)</AdditionalDependencies>
+      <AdditionalDependencies Condition="'$(API_Family)'=='WinDesktop'">Iphlpapi.lib;dsound.lib;dxguid.lib;netapi32.lib;mswsock.lib;ws2_32.lib;odbc32.lib;odbccp32.lib;ole32.lib;user32.lib;gdi32.lib;advapi32.lib;%(AdditionalDependencies)"</AdditionalDependencies>
       <TargetMachine>MachineX64</TargetMachine>
     </Link>
   </ItemDefinitionGroup>
   <ItemGroup>
-    <ClCompile Include="..\src\pjsua\main.c" />
-    <ClCompile Include="..\src\pjsua\pjsua_app.c" />
-    <ClCompile Include="..\src\pjsua\pjsua_app_cli.c" />
-    <ClCompile Include="..\src\pjsua\pjsua_app_common.c" />
-    <ClCompile Include="..\src\pjsua\pjsua_app_config.c" />
-    <ClCompile Include="..\src\pjsua\pjsua_app_legacy.c" />
+    <ClCompile Include="..\src\pjsua\main.c">
+      <ExcludedFromBuild Condition="'$(API_Family)'!='WinDesktop'">true</ExcludedFromBuild>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app.c">
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">Default</CompileAs>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app_cli.c">
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release-Static|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug-Static|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|ARM'">Default</CompileAs>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app_common.c">
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release-Static|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug-Static|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|ARM'">Default</CompileAs>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app_config.c">
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release-Static|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug-Static|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|ARM'">Default</CompileAs>
+    </ClCompile>
+    <ClCompile Include="..\src\pjsua\pjsua_app_legacy.c">
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release-Static|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Debug-Static|ARM'">Default</CompileAs>
+      <CompileAs Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|ARM'">Default</CompileAs>
+    </ClCompile>
     <ClCompile Include="..\src\pjsua\wm\main_wm.c">
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|ARM'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|x64'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|ARM'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|x64'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|ARM'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|x64'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|ARM'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|x64'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">true</ExcludedFromBuild>
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
     </ClCompile>
@@ -369,4 +563,5 @@
     <ClInclude Include="..\src\pjsua\pjsua_app.h" />
     <ClInclude Include="..\src\pjsua\pjsua_app_common.h" />
+    <ClInclude Include="..\src\pjsua\pjsua_app_config.h" />
   </ItemGroup>
   <ItemGroup>
Index: /pjproject/trunk/pjsip-apps/build/pjsua.vcxproj.filters
===================================================================
--- /pjproject/trunk/pjsip-apps/build/pjsua.vcxproj.filters	(revision 5538)
+++ /pjproject/trunk/pjsip-apps/build/pjsua.vcxproj.filters	(revision 5539)
@@ -45,4 +45,7 @@
       <Filter>Header Files</Filter>
     </ClInclude>
+    <ClInclude Include="..\src\pjsua\pjsua_app_config.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
   </ItemGroup>
 </Project>
Index: /pjproject/trunk/pjsip-apps/build/pjsystest.vcxproj
===================================================================
--- /pjproject/trunk/pjsip-apps/build/pjsystest.vcxproj	(revision 5538)
+++ /pjproject/trunk/pjsip-apps/build/pjsystest.vcxproj	(revision 5539)
@@ -19,8 +19,12 @@
     </ProjectConfiguration>
   </ItemGroup>
+  <!-- Import common config -->
+  <Import Project="..\..\build\vs\pjproject-vs14-common-config.props" />  
   <PropertyGroup Label="Globals">
     <ProjectGuid>{5E507EA2-CB39-47CA-BD39-49EB58D7A0BB}</ProjectGuid>
     <RootNamespace>pjsystest</RootNamespace>
-    <Keyword>Win32Proj</Keyword>
+    <Keyword>Win32Proj</Keyword>    
+    <!-- Specific UWP property -->
+    <DefaultLanguage>en-US</DefaultLanguage>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
@@ -41,4 +45,11 @@
     <PlatformToolset>v140</PlatformToolset>
   </PropertyGroup>
+  <!-- Override the PlatformToolset -->
+  <PropertyGroup>
+    <PlatformToolset>$(BuildToolset)</PlatformToolset>
+    <CharacterSet Condition="'$(API_Family)'!='WinDesktop'"></CharacterSet>
+    <ConfigurationType Condition="'$(API_Family)'=='WinDesktop'">Application</ConfigurationType>
+    <ConfigurationType Condition="'$(API_Family)'=='UWP' Or '$(API_Family)'=='WinPhone8'">StaticLibrary</ConfigurationType>
+  </PropertyGroup>  
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -68,4 +79,10 @@
     <_ProjectFileVersion>14.0.22823.1</_ProjectFileVersion>
   </PropertyGroup>
+  <!-- Compile and link option definition -->
+  <ItemDefinitionGroup>
+    <ClCompile>
+      <RuntimeLibrary Condition="'$(API_Family)'=='UWP'">MultiThreadedDebugDLL</RuntimeLibrary>
+    </ClCompile>
+  </ItemDefinitionGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
     <ClCompile>
Index: /pjproject/trunk/pjsip-apps/build/sample_debug.vcxproj
===================================================================
--- /pjproject/trunk/pjsip-apps/build/sample_debug.vcxproj	(revision 5538)
+++ /pjproject/trunk/pjsip-apps/build/sample_debug.vcxproj	(revision 5539)
@@ -51,7 +51,11 @@
     </ProjectConfiguration>
   </ItemGroup>
+  <!-- Import common config -->
+  <Import Project="..\..\build\vs\pjproject-vs14-common-config.props" />  
   <PropertyGroup Label="Globals">
     <ProjectGuid>{A0F1AA62-0F6F-420D-B09A-AC04B6862821}</ProjectGuid>
-    <RootNamespace>sample_debug</RootNamespace>
+    <RootNamespace>sample_debug</RootNamespace>    
+    <!-- Specific UWP property -->
+    <DefaultLanguage>en-US</DefaultLanguage>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
@@ -127,4 +131,11 @@
     <UseOfMfc>false</UseOfMfc>
     <CharacterSet>MultiByte</CharacterSet>
+  </PropertyGroup>
+  <!-- Override the PlatformToolset -->  
+  <PropertyGroup>
+    <PlatformToolset>$(BuildToolset)</PlatformToolset>
+    <CharacterSet Condition="'$(API_Family)'!='WinDesktop'"></CharacterSet>
+    <ConfigurationType Condition="'$(API_Family)'=='WinDesktop'">Application</ConfigurationType>
+    <ConfigurationType Condition="'$(API_Family)'=='UWP' Or '$(API_Family)'=='WinPhone8'">StaticLibrary</ConfigurationType>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
@@ -194,6 +205,15 @@
   <PropertyGroup>
     <_ProjectFileVersion>14.0.22823.1</_ProjectFileVersion>
-	<TargetName>sample-debug-$(TargetCPU)-$(Platform)-vc$(VSVer)-$(Configuration)</TargetName>
-  </PropertyGroup>
+	  <TargetName>sample-debug-$(TargetCPU)-$(Platform)-vc$(VSVer)-$(Configuration)</TargetName>
+  </PropertyGroup>
+  <!-- Compile and link option definition -->
+  <ItemDefinitionGroup>
+    <ClCompile>
+      <RuntimeLibrary Condition="'$(API_Family)'=='UWP'">MultiThreadedDebugDLL</RuntimeLibrary>
+    </ClCompile>
+    <Lib>
+      <OutputFile>..\lib\sample-debug-$(TargetCPU)-$(Platform)-vc$(VSVer)-$(Configuration).lib</OutputFile>
+    </Lib>
+  </ItemDefinitionGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
     <ClCompile>
Index: /pjproject/trunk/pjsip-apps/build/samples.vcxproj
===================================================================
--- /pjproject/trunk/pjsip-apps/build/samples.vcxproj	(revision 5538)
+++ /pjproject/trunk/pjsip-apps/build/samples.vcxproj	(revision 5539)
@@ -51,8 +51,12 @@
     </ProjectConfiguration>
   </ItemGroup>
+  <!-- Import common config -->
+  <Import Project="..\..\build\vs\pjproject-vs14-common-config.props" />
   <PropertyGroup Label="Globals">
     <ProjectGuid>{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}</ProjectGuid>
     <RootNamespace>samples</RootNamespace>
-    <Keyword>MakeFileProj</Keyword>
+    <Keyword>MakeFileProj</Keyword>    
+    <!-- Specific windows store/UWP property -->
+    <DefaultLanguage>en-US</DefaultLanguage>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
@@ -117,4 +121,10 @@
     <UseOfMfc>false</UseOfMfc>
   </PropertyGroup>
+  <!-- Override the PlatformToolset -->
+  <PropertyGroup>
+    <PlatformToolset>$(BuildToolset)</PlatformToolset>
+    <CharacterSet Condition="'$(API_Family)'!='WinDesktop'"></CharacterSet>
+    <ConfigurationType Condition="'$(API_Family)'=='UWP' Or '$(API_Family)'=='WinPhone8'">StaticLibrary</ConfigurationType>
+  </PropertyGroup>  
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
   <ImportGroup Label="ExtensionSettings">
@@ -168,8 +178,20 @@
     <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
   </ImportGroup>
-  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup Label="UserMacros" />  
   <PropertyGroup>
-    <_ProjectFileVersion>14.0.22823.1</_ProjectFileVersion>
-  </PropertyGroup>
+    <_ProjectFileVersion>14.0.22823.1</_ProjectFileVersion>        
+  </PropertyGroup>
+  <!-- Compile and link option definition -->
+  <ItemDefinitionGroup>
+    <ClCompile>
+      <PrecompiledHeader>NotUsing</PrecompiledHeader>
+      <CompileAsWinRT>false</CompileAsWinRT>
+      <AdditionalIncludeDirectories>../../pjsip/include;../../pjlib/include;../../pjlib-util/include;../../pjmedia/include;../../pjnath/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <RuntimeLibrary Condition="'$(API_Family)'=='UWP'">MultiThreadedDebugDLL</RuntimeLibrary>      
+    </ClCompile>
+    <Lib>
+      <AdditionalOptions>/Ignore:4006 %(AdditionalOptions)</AdditionalOptions>
+    </Lib>
+  </ItemDefinitionGroup>    
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
     <OutDir>.\output\$(ProjectName)-i386-$(Platform)-vs8-$(Configuration)\</OutDir>
@@ -352,9 +374,13 @@
     <ClCompile Include="..\src\samples\simple_pjsua.c" />
     <ClCompile Include="..\src\samples\sipecho.c" />
-    <ClCompile Include="..\src\samples\siprtp.c" />
-    <ClCompile Include="..\src\samples\siprtp_report.c" />
+    <ClCompile Include="..\src\samples\siprtp.c">
+      <ExcludedFromBuild Condition="'$(API_Family)'!='WinDesktop'">true</ExcludedFromBuild>
+    </ClCompile>  
+    <ClCompile Include="..\src\samples\siprtp_report.c">    
+      <ExcludedFromBuild Condition="'$(API_Family)'!='WinDesktop'">true</ExcludedFromBuild>
+    </ClCompile>
     <ClCompile Include="..\src\samples\sipstateless.c" />
-    <ClCompile Include="..\src\samples\sndinfo.c" />
-    <ClCompile Include="..\src\samples\sndtest.c" />
+    <!-- ClCompile Include="..\src\samples\sndinfo.c" / -->
+    <!-- ClCompile Include="..\src\samples\sndtest.c" / -->
     <ClCompile Include="..\src\samples\stateful_proxy.c" />
     <ClCompile Include="..\src\samples\stateless_proxy.c" />
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/pjsua_cli_shared_comp.vcxitems
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/pjsua_cli_shared_comp.vcxitems	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/pjsua_cli_shared_comp.vcxitems	(revision 5539)
@@ -0,0 +1,25 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup Label="Globals">
+    <MSBuildAllProjects>$(MSBuildAllProjects);$(MSBuildThisFileFullPath)</MSBuildAllProjects>
+    <HasSharedItems>true</HasSharedItems>
+    <ItemsProjectGuid>{45d41acc-2c3c-43d2-bc10-02aa73ffc7c7}</ItemsProjectGuid>
+  </PropertyGroup>
+  <ItemDefinitionGroup>
+    <ClCompile>
+      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories);$(MSBuildThisFileDirectory)</AdditionalIncludeDirectories>
+    </ClCompile>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <ProjectCapability Include="SourceItemsFromImports" />
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="$(MSBuildThisFileDirectory)src\Globals.h" />
+    <ClInclude Include="$(MSBuildThisFileDirectory)src\IPjsuaCallback.h" />
+    <ClInclude Include="$(MSBuildThisFileDirectory)src\PjsuaCallback.h" />
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="$(MSBuildThisFileDirectory)src\Globals.cpp" />
+    <ClCompile Include="$(MSBuildThisFileDirectory)src\PjsuaCallback.cpp" />
+  </ItemGroup>
+</Project>
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/pjsua_cli_shared_comp.vcxitems.filters
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/pjsua_cli_shared_comp.vcxitems.filters	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/pjsua_cli_shared_comp.vcxitems.filters	(revision 5539)
@@ -0,0 +1,30 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup>
+    <Filter Include="Header Files">
+      <UniqueIdentifier>{c35064fd-780c-425e-8f67-21dc4fffda0f}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Source Files">
+      <UniqueIdentifier>{575b9bcd-7951-48e5-8df4-e80ee842bce0}</UniqueIdentifier>
+    </Filter>
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="$(MSBuildThisFileDirectory)src\Globals.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="$(MSBuildThisFileDirectory)src\IPjsuaCallback.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+    <ClInclude Include="$(MSBuildThisFileDirectory)src\PjsuaCallback.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
+  </ItemGroup>
+  <ItemGroup>
+    <ClCompile Include="$(MSBuildThisFileDirectory)src\Globals.cpp">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="$(MSBuildThisFileDirectory)src\PjsuaCallback.cpp">
+      <Filter>Source Files</Filter>
+    </ClCompile>
+  </ItemGroup>
+</Project>
